Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class AutocompleterTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.TextFieldTag
                              org.apache.struts2.views.jsp.ui.ComboBoxTag
                                  org.apache.struts2.views.jsp.ui.AutocompleterTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class AutocompleterTag

extends ComboBoxTag

See Also:
  `Autocompleter`, Serialized Form

Field Summary
`protected String` | `autoComplete`
`protected String` | `delay`
`protected String` | `disabled`
`protected String` | `dropdownHeight`
`protected String` | `dropdownWidth`
`protected String` | `forceValidOption`
`protected String` | `formFilter`
`protected String` | `formId`
`protected String` | `href`
`protected String` | `iconPath`
`protected String` | `indicator`
`protected String` | `keyName`
`protected String` | `listenTopics`
`protected String` | `loadMinimumCount`
`protected String` | `loadOnTextChange`
`protected String` | `notifyTopics`
`protected String` | `searchType`
`private static long` | `serialVersionUID`
`protected String` | `showDownArrow`
`protected String` | `templateCssPath`

Fields inherited from class org.apache.struts2.views.jsp.ui.ComboBoxTag
`emptyOption, headerKey, headerValue, list, listKey, listValue`

Fields inherited from class org.apache.struts2.views.jsp.ui.TextFieldTag
`maxlength, readonly, size`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssStyle, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AutocompleterTag()`

Method Summary
`Component` | `getBean(ValueStack stack, HttpServletRequest req, HttpServletResponse res)`
`String` | `getLoadMinimumCount()`
`protected void` | `populateParams()`
`void` | `setAutoComplete(String autoComplete)`
`void` | `setDelay(String searchDelay)`
`void` | `setDisabled(String disabled)`
`void` | `setDropdownHeight(String height)`
`void` | `setDropdownWidth(String width)`
`void` | `setForceValidOption(String forceValidOption)`
`void` | `setFormFilter(String formFilter)`
`void` | `setFormId(String formId)`
`void` | `setHref(String href)`
`void` | `setIconPath(String iconPath)`
`void` | `setIndicator(String indicator)`
`void` | `setKeyName(String keyName)`
`void` | `setListenTopics(String listenTopics)`
`void` | `setLoadMinimumCount(String loadMinimumCount)`
`void` | `setLoadOnTextChange(String loadOnTextChange)`
`void` | `setNotifyTopics(String onValueChangedPublishTopic)`
`void` | `setSearchType(String searchType)`
`void` | `setShowDownArrow(String showDownArrow)`
`void` | `setTemplateCssPath(String templateCssPath)`

Methods inherited from class org.apache.struts2.views.jsp.ui.ComboBoxTag
`setEmptyOption, setHeaderKey, setHeaderValue, setList, setListKey, setListValue`

Methods inherited from class org.apache.struts2.views.jsp.ui.TextFieldTag
`setMaxlength, setMaxLength, setReadonly, setSize`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssStyle, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`altSyntax, findString, findValue, findValue, getBody, getStack, setId, toString, translateVariables`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### forceValidOption

    protected String forceValidOption

### searchType

    protected String searchType

### autoComplete

    protected String autoComplete

### delay

    protected String delay

### disabled

    protected String disabled

### href

    protected String href

### dropdownWidth

    protected String dropdownWidth

### dropdownHeight

    protected String dropdownHeight

### formId

    protected String formId

### formFilter

    protected String formFilter

### listenTopics

    protected String listenTopics

### notifyTopics

    protected String notifyTopics

### indicator

    protected String indicator

### loadOnTextChange

    protected String loadOnTextChange

### loadMinimumCount

    protected String loadMinimumCount

### showDownArrow

    protected String showDownArrow

### templateCssPath

    protected String templateCssPath

### iconPath

    protected String iconPath

### keyName

    protected String keyName

Constructor Detail

### AutocompleterTag

    public AutocompleterTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             HttpServletRequest req,
                             HttpServletResponse res)

  Overrides:
    `getBean` in class `ComboBoxTag`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `ComboBoxTag`

### setAutoComplete

    public void setAutoComplete(String autoComplete)

### setDisabled

    public void setDisabled(String disabled)

  Overrides:
    `setDisabled` in class `AbstractUITag`

### setForceValidOption

    public void setForceValidOption(String forceValidOption)

### setHref

    public void setHref(String href)

### setDelay

    public void setDelay(String searchDelay)

### setSearchType

    public void setSearchType(String searchType)

### setDropdownHeight

    public void setDropdownHeight(String height)

### setDropdownWidth

    public void setDropdownWidth(String width)

### setFormFilter

    public void setFormFilter(String formFilter)

### setFormId

    public void setFormId(String formId)

### setListenTopics

    public void setListenTopics(String listenTopics)

### setNotifyTopics

    public void setNotifyTopics(String onValueChangedPublishTopic)

### setIndicator

    public void setIndicator(String indicator)

### setLoadMinimumCount

    public void setLoadMinimumCount(String loadMinimumCount)

### getLoadMinimumCount

    public String getLoadMinimumCount()

### setLoadOnTextChange

    public void setLoadOnTextChange(String loadOnTextChange)

### setShowDownArrow

    public void setShowDownArrow(String showDownArrow)

### setTemplateCssPath

    public void setTemplateCssPath(String templateCssPath)

### setIconPath

    public void setIconPath(String iconPath)

### setKeyName

    public void setKeyName(String keyName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.